﻿.cm-s-default span.cm-group1 {
    background: #ffff7f40;
}

.cm-s-default span.cm-group2 {
    background: #aaffff40;
}

.cm-s-default span.cm-group3 {
    background: #ffff7f60;
}

.cm-s-default span.cm-group4 {
    background: #aaffff60;
}

.cm-s-default span.cm-group5 {
    background: #ffff7f80;
}

.cm-s-default span.cm-group6 {
    background: #aaffff80;
}

.cm-s-default span.cm-group7 {
    background: #ffff7fa0;
}

.cm-s-default span.cm-group8 {
    background: #aaffffa0;
}

.cm-s-default span.cm-start-group,
.cm-s-default span.cm-alternation {
    font-weight: bold;
}

.cm-s-default span.cm-condition {
}

.cm-s-default span.cm-option-sequence {
    background: #5cb85c;
    color: white;
    font-weight: bold;
}

.cm-s-default span.cm-verb {
    background: #5459b8;
    color: white;
    font-weight: bold;
}

.cm-s-default span.cm-backreference {
    color: #25ba36;
    font-weight: bold;
}

.cm-s-default span.cm-callout {
    background: #ff00ff;
    color: white;
}

.cm-s-default span.cm-condition-subroutine,
.cm-s-default span.cm-subroutine {
    color: #aa00ff;
    font-weight: bold;
}

.cm-s-default span.cm-quantifier {
    background: #aad1f760;
}

.cm-s-default span.cm-character-class {
    background: #f9ca6960;
}

.cm-s-default span.cm-non-printing-character {
    color: #aa0000;
}

.cm-s-default span.cm-generic-character-type {
    color: blue;
}

.cm-s-default span.cm-escaped-character {
    font-weight: bold;
}

.cm-s-default span.cm-escaped-sequence-start,
.cm-s-default span.cm-escaped-sequence-end,
.cm-s-default span.cm-escaped-sequence {
    border-top: 1px solid #7f7f7f;
    border-bottom: 1px solid #7f7f7f;
}

.cm-s-default span.cm-escaped-sequence-start,
.cm-s-default span.cm-escaped-sequence-end {
    color: white;
    background-color: #00000080;
}

.cm-s-default span.cm-anchor {
    background: black;
    color: white;
    font-weight: bold;
}

.cm-s-default span.cm-define {
    background: blue;
    color: yellow;
}

.cm-s-default span.cm-name {
    color: blue;
    font-weight: normal;
}

.cm-s-default span.cm-verb.cm-name {
    color: yellow;
}

.cm-s-default span.cm-err {
    background: #ff4300c0;
}

.cm-s-default {
    height: 100px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-family: monospace;
    font-size: 14px;
    line-height: 1.4;
    padding: 5px;
    min-width: 25vw;
    min-height: 08vh;
}

.CodeMirror-wrap pre {
    word-break: break-word;
}

.CodeMirror {
    font-size: 14px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

